# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLBodyElement Class Reference

The HTML document body. More...

`#include <html_base.h>`

Inheritance diagram for DOM::HTMLBodyElement:

[legend]
Collaboration diagram for DOM::HTMLBodyElement:

[legend]
List of all members.

## Public Member Functions

| HTMLBodyElement (const HTMLBodyElement &other)
| HTMLBodyElement (const Node &other)
HTMLBodyElement & | operator= (const HTMLBodyElement &other)
HTMLBodyElement & | operator= (const Node &other)
DOMString | aLink () const
void | setALink (const DOMString &)
DOMString | background () const
void | setBackground (const DOMString &)
DOMString | bgColor () const
void | setBgColor (const DOMString &)
DOMString | link () const
void | setLink (const DOMString &)
DOMString | text () const
void | setText (const DOMString &)
DOMString | vLink () const
void | setVLink (const DOMString &)

## Protected Member Functions

| HTMLBodyElement (HTMLBodyElementImpl *impl)

## Detailed Description

The HTML document body.

This element is always present in the DOM API, even if the tags are not present in the source document. See the BODY element definition in HTML 4.0.

Definition at line 50 of file html_base.h.

## Member Function Documentation

DOMString HTMLBodyElement::aLink | ( |  | ) | const

| Color of active links (after mouse-button down, but before mouse-button up). See the alink attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 59 of file html_base.cpp.

void HTMLBodyElement::setALink | ( | const DOMString & |  | ) |

| see aLink Definition at line 64 of file html_base.cpp.

DOMString HTMLBodyElement::background | ( |  | ) | const

| URI of the background texture tile image. See the background attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 69 of file html_base.cpp.

void HTMLBodyElement::setBackground | ( | const DOMString & |  | ) |

| see background Definition at line 74 of file html_base.cpp.

DOMString HTMLBodyElement::bgColor | ( |  | ) | const

| Document background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 79 of file html_base.cpp.

void HTMLBodyElement::setBgColor | ( | const DOMString & |  | ) |

| see bgColor Definition at line 85 of file html_base.cpp.

DOMString HTMLBodyElement::link | ( |  | ) | const

| Color of links that are not active and unvisited. See the link attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 90 of file html_base.cpp.

void HTMLBodyElement::setLink | ( | const DOMString & |  | ) |

| see link Definition at line 96 of file html_base.cpp.

DOMString HTMLBodyElement::text | ( |  | ) | const

| Document text color. See the text attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 101 of file html_base.cpp.

void HTMLBodyElement::setText | ( | const DOMString & |  | ) |

| see text Definition at line 107 of file html_base.cpp.

DOMString HTMLBodyElement::vLink | ( |  | ) | const

| Color of links that have been visited by the user. See the vlink attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 112 of file html_base.cpp.

void HTMLBodyElement::setVLink | ( | const DOMString & |  | ) |

| see vLink Definition at line 118 of file html_base.cpp.

The documentation for this class was generated from the following files:

- html_base.h
- html_base.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:53 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003